<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<Resource>
    <ID/>
    <Type>Service</Type>
    <Profile>
    	<Description>Registry service for gCube Resources</Description>
        <Class>InformationSystem</Class>
        <Name>IS-Registry</Name>
        <Version>1.0.0</Version>
        <Dependencies>
			<Dependency>			
					<Class>InformationSystem</Class>
					<Name>IS-Collector</Name>
					<Version>1.00.00</Version>
			</Dependency>													
		</Dependencies>
        <Packages>
            <Main>
                <Description>IS-Registry: validate, register and unregister gCube resources to/from the IS. It exposes WS-Topics for notifications about gCube resources' lifecycle</Description>
                <Name>IS-Registry-service</Name>
                <Version>2.1.4-3.2.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.informationsystem</groupId>
                    <artifactId>is-registry-service</artifactId>
                    <version>2.1.4-3.2.0</version>
                </MavenCoordinates>
                <Mandatory level="VO"/>
				<Shareable level="VO"/>
				<GHNRequirements>
					<Requirement category="Site" operator="ge" requirement="string" value="java1.5"/>
				</GHNRequirements>
				
				<GARArchive>org.gcube.informationsystem.registry.gar</GARArchive>
                <PortType>
                	<Name>gcube/informationsystem/registry/ResourceRegistration</Name>
                    	<Security/>			
						
            	</PortType>
            	<PortType>
                	<Name>gcube/informationsystem/registry/RegistryFactory</Name>
                    	<Security/>			
						
            	</PortType>
            </Main>
            <Software>
            	<Description>Stub classes for interfacing the IS-Registry</Description>
            	<Name>IS-Registry-stubs</Name>
				<Version>2.1.4-3.2.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.informationsystem</groupId>
                    <artifactId>is-registry-stubs</artifactId>
                    <version>2.1.4-3.2.0</version>
                </MavenCoordinates>
				<MultiVersion value="true"/>
				<Mandatory level="GHN"/>
				<Shareable level="VO"/>
				<GHNRequirements>
					<Requirement category="Site" operator="ge" requirement="string" value="java1.5"/>
				</GHNRequirements>
				<SpecificData>text</SpecificData>
				<Type>library</Type>
				<Files>
					<File>org.gcube.informationsystem.registry.stubs.jar</File>
				</Files>
			</Software> 
			<Software>
				<Description>Test-suite for IS-Registry: provide sample interaction usages with an IS-Registry instance</Description>
				<Name>IS-Registry-test-suite</Name>
				<Version>2.0.0-3.2.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.informationsystem</groupId>
                    <artifactId>is-registry-test-suite</artifactId>
                    <version>2.0.0-3.2.0</version>
                </MavenCoordinates>
				<MultiVersion value="true"/>				
				<Shareable level="VO"/>				
				<Type>application</Type>
				<Files>
					<File>lib/org.gcube.informationsystem.registry.testsuite.jar</File>
				</Files>
			</Software>          
        </Packages>
    </Profile>
</Resource>
